NotReadyAppender (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.notReady.NotReadyAppender class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.notReady
Class NotReadyAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.hyperic.util.notReady.NotReadyAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

    public class NotReadyAppender

extends org.apache.log4j.AppenderSkeleton

Log4j appender to watch the startup process and report progress through the NotReadyValve. Could extend this to display errors to the user.

Field Summary

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`NotReadyAppender()`

Method Summary
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
`void` | `close()`
`java.lang.String` | `getLastError()`
`int` | `getPercent()`
`java.lang.String` | `getStatus()`
`boolean` | `requiresLayout()`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotReadyAppender

    public NotReadyAppender()

Method Detail

### append

    protected void append(org.apache.log4j.spi.LoggingEvent event)

  Specified by:
    `append` in class `org.apache.log4j.AppenderSkeleton`

### close

    public void close()

  Specified by:
    `close` in interface `org.apache.log4j.Appender`
  Specified by:
    `close` in class `org.apache.log4j.AppenderSkeleton`

### requiresLayout

    public boolean requiresLayout()

  Specified by:
    `requiresLayout` in interface `org.apache.log4j.Appender`
  Specified by:
    `requiresLayout` in class `org.apache.log4j.AppenderSkeleton`

### getStatus

    public java.lang.String getStatus()

### getLastError

    public java.lang.String getLastError()

### getPercent

    public int getPercent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.